%define major_ver	%(echo %{version}|cut -d. -f1,2)
%define libname	%mklibname %{name} %{version}
%define develname %mklibname -d %name

%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:		tclx
Version:	8.4.1
Release:	%mkrel 1
Summary:	Tcl/Tk extensions for POSIX systems
License:	BSD
Group:	System/Libraries
URL:		http://tclx.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/tclx/tclx%{version}.tar.xz
Requires:	tcl tk
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	groff
Patch1: tclx-8.4-varinit.patch
Patch3: tclx-8.4-man.patch

%description
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}


%description -n %{libname}
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{develname} 
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep

%setup -q -n tclx%{major_ver}
%patch1 -p1 -b .1.varinit
%patch3 -p1 -b .3.patch

%build
%configure \
        --enable-tk=YES \
        --with-tclconfig=%{_libdir} \
        --with-tkconfig=%{_libdir} \
        --with-tclinclude=%{_includedir} \
        --with-tkinclude=%{_includedir} \
	--libdir=%{tcl_sitearch} \
	--enable-gcc \
	--disable-threads \
	--enable-shared \
	--enable-64bit

# parallell build is borked!
make

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
ln -s  %{tcl_sitearch}/tclx%{major_ver}/*.so  %{buildroot}/%{_libdir}

%files -n %{libname}
%doc ChangeLog README
%{tcl_sitearch}/tclx%{major_ver}

%files -n %{develname}
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/mann/*
%{_libdir}/*.so


%changelog
* Fri Apr 03 2015 bb <bb. 8.4.1-1pclos2015
- import from france
